var expect = require('chai').expect;
require('chai').use(require('chai-as-promised'));
var PeoplePage = require('./people-page');

describe('people ui test', function() {
  var page;
  
  beforeEach(function() {
    page = new PeoplePage();
  });
  
  it('page should show correct person count', function() {
    expect(page.peopleCount).to.be.eventually.eql('1');
  });
  
  it('page should display people', function() {
    expect(page.peopleAsText).to.be.eventually.eql('Venkat Subramaniam venkats@agiledeveloper.com');
  });
});